/* stylelint-disable selector-list-comma-newline-after */
@import url("https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap");

:root {
  /*------ Colores */
  /* --green-color: #c7d92b; */
  --principal-color-bg: #000000;
  --secondary-color-bg: #ffa01f;
  --third-color-bg: #a6e5d8;
  --fourth-color-bg: #a6e5d8;
  --white-color: white;
  --white-txt: #bcbcbc;
  --gray-color: #5e6067;
  --gray-light: #ebebeb;
  --gray-green: #bbc6c2;
  --black: #000000;
  /*------ Tipografía */
  --normal: 12px;
  /*------ Espaciado */
  --space: 10px;
  --space-2: 20px;
  /* box shadow */
  --box: 0px 0 2px 1px #e6e5e9;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body {
  font-family: "DM Sans", sans-serif;
  padding-top: 0.1rem !important;
  box-sizing: border-box;
  background-color: var(--principal-color-bg);
  width: 100vw;
  overflow-x: hidden !important;
  color: var(--white-color) !important;
}

#logo_hero {
  width: 150px;
}


h2{
  font-family: "DM Sans", sans-serif;
}

.prueba {
  border: 1px red solid;
}

.white_color {
  color: var(--white-txt);
}

.rounded-border {
  border-radius: 12px;
  /* Borde redondeado */
  box-shadow: 0 4px 8px rgba(128, 128, 128, 0.3);
  /* Sombra gris suave */
  padding: 20px;
  /* Espaciado interno opcional */
  background-color: transparent;
  /* Fondo blanco para destacar la sombra */
}

.text-success {
  color: var(--fourth-color-bg) !important;
}

.text-felicidades {
  font-size: 20px;
}

.btn-success {
  background-color: var(--fourth-color-bg);
  color: var(--principal-color-bg);
}

.btn-success:hover{
  background-color: var(--fourth-color-bg);
  color: var(--principal-color-bg);
}

.btn-success:active{
  background-color: var(--fourth-color-bg);
  color: var(--principal-color-bg);
}

.h2_mesj_bold{
  font-weight: 800;
  font-size: 2.2rem;
  text-align: center;
}

.card {
  color: var(--gray-light);
  font-size: 19px;
  background: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(10px);
  border: 1px solid rgba(255, 255, 255, 0.2);
  border-radius: 8px;
  box-shadow: 0 4px 10px rgba(255, 255, 255, 0.1);
  padding: 20px;
  margin: 1px;
}

.card-wrapper {
  height: 80vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.card-wrapper-id {
  width: 90vw;
}

.separador {
  height: 15px;
}

input,
select {
  background-color: #E7E7E7;
  color: #333;
  border: 1px solid #ccc;
  padding: 5px;
  font-size: 16px !important;
  border-radius: 4px;
}

/* Nota: los <option> tienen limitaciones de estilo por el navegador */
option {
  background-color: #E7E7E7;
  /* Funciona solo en algunos navegadores */
  color: #333;
}

.btn_principal_hero_eng a {
  color: white !important;
  font-size: 1rem;
  text-decoration: none;
}